import React from 'react';
import { Routes, Route } from 'react-router-dom';
import SalesPerformancePage from '../pages/Distributor/SalesPerformancePage';
import OrderManagementPage from '../pages/Distributor/OrderManagementPage';
import LicenseDistributionPage from '../pages/Distributor/LicenseDistributionPage';
import StockCampaignManagementPage from '../pages/Distributor/StockCampaignManagementPage';
import PaymentBillingPage from '../pages/Distributor/PaymentBillingPage';
import RetailerFeedbackPage from '../pages/Distributor/RetailerFeedbackPage';
import SalesReportsPage from '../pages/Distributor/SalesReportsPage';

const DistributorRoutes = () => {
  return (
    <Routes>
      <Route path="/" element={<SalesPerformancePage />} />
      <Route path="/sales-performance" element={<SalesPerformancePage />} />
      <Route path="/order-management" element={<OrderManagementPage />} />
      <Route path="/license-distribution" element={<LicenseDistributionPage />} />
      <Route path="/stock-management" element={<StockCampaignManagementPage />} />
      <Route path="/payment-billing" element={<PaymentBillingPage />} />
      <Route path="/retailer-feedback" element={<RetailerFeedbackPage />} />
      <Route path="/sales-reports" element={<SalesReportsPage />} />
    </Routes>
  );
};

export default DistributorRoutes;