import React from 'react';
import { Routes, Route } from 'react-router-dom';
import GeneralSalesPage from '../pages/Admin/GeneralSalesPage';
import MarketAnalysisPage from '../pages/Admin/MarketAnalysisPage';
import LicenseManagementPage from '../pages/Admin/LicenseManagementPage';
import FinancePage from '../pages/Admin/FinancePage';
import CampaignsPage from '../pages/Admin/CampaignsPage';
import SupportPage from '../pages/Admin/SupportPage';

const AdminRoutes = () => {
  return (
    <Routes>
      <Route path="/" element={<GeneralSalesPage />} />
      <Route path="/general-sales" element={<GeneralSalesPage />} />
      <Route path="/market-analysis" element={<MarketAnalysisPage />} />
      <Route path="/license-management" element={<LicenseManagementPage />} />
      <Route path="/finance" element={<FinancePage />} />
      <Route path="/campaigns" element={<CampaignsPage />} />
      <Route path="/support" element={<SupportPage />} />
    </Routes>
  );
};

export default AdminRoutes;